Video · Erase · Keypoints
整合
模型 id
bria/video/erase/keypoints
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/video/erase/keypoints?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"keypoints": [
"{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
"{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/video/erase/keypoints?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}",
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/video/erase/keypoints", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/video/erase/keypoints",
"input": {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
透過 Doitong API 呼叫 Video · Erase · Keypoints 模型(bria/video/erase/keypoints)。代理程式文件:https://doitong.com/zh-TW/developers/models/bria/video/erase/keypoints.md
POST https://api.doitong.ru/v1/run/bria/video/erase/keypoints?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.ru/v1/quote/bria/video/erase/keypoints,可在執行前取得確切價格。
像範例一樣的檔案: $0.70 700 API 點數 · ≈ ₽75.31 您的檔案會在執行前計量 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/bria/video/erase/keypoints?wait=20
報價 → $0.70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/video/erase/keypoints?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"keypoints": [
"{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
"{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/video/erase/keypoints?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}",
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/video/erase/keypoints", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/video/erase/keypoints",
"input": {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"wait_seconds": 20
}
}
}
關於 Video · Erase · Keypoints
從影片移除物件,目標由以 x/y 點表示並標記為正或負的 `keypoints` 清單選取。輸入影片必須短於 5 秒,`auto_trim` 會將較長片段裁切至該工作長度。輸出格式可從 11 種容器與編解碼器中選擇,預設為 mp4_h264,`preserve_audio` 會保留聲音。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
output_container_and_codec選填
類型enum
預設值mp4_h264
mp4_h265mp4_h264webm_vp9gifmov_h264mov_h265mov_proresksmkv_h264mkv_h265mkv_vp9mkv_mpeg4
輸出的容器與編解碼器,可從以下選取:mp4_h265、mp4_h264、webm_vp9、gif、mov_h264、mov_h265、mov_proresks、mkv_h264、mkv_h265、mkv_vp9、mkv_mpeg4。
auto_trim選填
類型boolean
預設值true
自動將影片裁切為工作長度 5 秒。
preserve_audio選填
類型boolean
預設值true
設為 true 時,會在輸出影片中保留音訊。
keypoints必填
類型string[]
以 [x,y] 座標指定要移除或保留的影片區域,每個區域都使用以下語法:{'x':100, 'y':100, 'type':'positive/negative'}。
video_url必填
video
類型url · video
少於 5 秒、用作物件擦除來源的影片。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/video/erase/keypoints",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 700,
"usd": "0.70",
"charged": 700,
"refunded": 0
},
"input": {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- video
- object {url, content_type, file_name, file_size}產生的影片。
其他 Bria 變體
更多模型:影片轉影片
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/bria/video/erase/keypoints.md. 所有模型與指南: https://doitong.com/developers/llms.txt